import { createRouter, createWebHistory } from 'vue-router'
import HomeViewForUser from '../views/HomeForUser.vue'
import LoginView from "@/views/LoginView";
import RegiseterView from '@/views/RegisterView';
import RegisterforDoctor from "@/components/RegisterforDoctor";
import DoctorHomeView from "@/views/DoctorHomeView";
import HomeForWorker from "@/views/HomeForWorker";

const routes = [
  {
    path: '/doctor',
    component: DoctorHomeView,
    name: 'doctor'
  },
  {
    path: '/',
    name: 'login',
    component: LoginView
  },
  {
    path:'/t',
    name:'t',
    component:LoginView
  },
  {
    path: '/userhome',
    name: 'home',
    component: HomeViewForUser
  },
  {
    path:'/d',
    name: 'd',
    component: RegisterforDoctor
  },
  {
    path: '/register',
    name: 'register',
    component: RegiseterView
  },
  {
    path: '/worker',
    name: 'worker',
    component: HomeForWorker
  },

]

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes
})

export default router
